"use client"

import {OfferList} from "@/components/sub/OfferList";
import {SellForm} from "@/components/sell-form";


interface SellCryptoPageProps {
	params: IParams;
}

interface IParams {
	cryptoId: string;
}

export default function SellCryptoPage({ params }: SellCryptoPageProps) {
	return (
		<main className="flex flex-col sm:flex-row items-center justify-center w-full h-full gap-4 sm:p-4">
			<section className={"w-full sm:w-1/3 h-full p-0.5 sm:p-2 flex flex-col items-center justify-center gap-4"}>
				{/* Graph demande achat/you/other */}
				<div className={"w-full h-1/3 rounded bg-card text-card-foreground"}>
					Graph
				</div>
				{/* stats */}
				<div className={"w-full h-2/3 rounded bg-card text-card-foreground"}>
					Stats
				</div>
			</section>
			<section className={"w-full sm:w-2/3 h-full p-0.5 sm:p-2 flex flex-col items-center justify-center gap-4"}>
				{/* Formulaire */}
				<div className={"w-full h-2/3 rounded bg-card text-card-foreground p-2"}>
					Formulaire
					<SellForm defaultCryptoId={params.cryptoId}/>
				</div>
				{/* Tab Liste offfres vente existante */}
				<OfferList className={"w-full h-1/3"} trades={[]}/>
			</section>
		</main>
	);
}