"use client";
import { Footer } from "@/components/footer";
import { Header } from "@/components/header";
import { ThemeProvider } from "@/components/providers/theme-provider";
import { UserDataProvider } from "@/components/providers/userdata-provider";
import type React from "react";
import {QueryProvider} from "@/components/providers/query-provider";

export function Providers({ children }: { children: React.ReactNode }) {
	return (
		<ThemeProvider attribute="class" defaultTheme="system" enableSystem>
			<QueryProvider>
				<UserDataProvider>
					{children}
				</UserDataProvider>
			</QueryProvider>
		</ThemeProvider>
	);
}
